import http from "@/utils/request"

export default {    
    accountList: {
        method: 'GetPagedOnlineAccountsAsync',
        name: "Account list",
        post: async function (params) {
            var queryType = params.queryType == null ? '' : params.queryType;
            var data = {
                'PageIndex': params.page,
                'PageSize': params.pageSize,
                'QueryType': queryType,
                'Keyword': params.keyword,
                'RoleCode': params.roleCode
            }
            return await http.post(this.method, data);
        }
    },    	
}