import http from "@/utils/request"

export default {
    getAuthorizationInfo: {
		method: 'GetAuthorizationAsync',
		name: "获取上传文件所需配置",
		post: async function (fileType) {            
            var data = {                
                'FileName': fileType
            }
            return await http.post(this.method, data);
        }
	},
    uploadFile: {
		name: "上传文件接口",
		put: async function (fileInfo, data) { 
            return await http.put(fileInfo.Authorization, data, fileInfo.StorageUrl);
        }
	},
}
