import http from "@/utils/request"

export default {
	getValidateTokenAsync: {
		method: 'GetValidateTokenAsync',
		name: "验证Token信息",
		post: async function (datas = {}) {
            return await http.post(this.method, datas);
        }
	},
    login: {
		method: 'AdminLogin',
		name: "登录获取TOKEN",
		post: async function (datas = {}) {
            var data = {
                'AdminName': datas.user.trim(), 
                'Password': datas.password.trim(), 
            }
            return await http.post(this.method, data);
        }
	},
    getInfo: {
		method: 'GetLoginInfoByToken',
		name: "获取登录信息",
		post: async function () {
            return await http.post(this.method, {});
        }
	},
	queryDemo: {
		method: 'QueryDemo',
		name: "Demo",
		post: async function () {
            return await http.post(this.method, {});
        }
	},
}
