import tool from '@/utils/tool';

export default {
    "zh-CN": {
        ReportImages: "img/DefaultUltrasonicImage2.png",
        ReportImages3: "img/DefaultUltrasonicImage3.png",
        ReportImages2: "img/DefaultUltrasonicImage.png",
        ReportTime: tool.dateFormat(Date.now(), "yyyy-MM-dd"),
        Para: "产史" ,
        PatientGA: "10周",
        PatientName: "张三" ,
        PatientGender: "女" ,
        PatientAge: "30" ,
        PatientApplicationDepartment: "门诊" ,
        PatientCheckNumber: "20220101" ,
        Ectopic: "宫外孕" ,
        PatientInspectionItems: "腹部常规",
        PatientInspectionSite: "心脏" ,
        InspectionPhysician: "王医生" ,
        PatientExaminationWay: "经体表" ,
        Species: "狗" ,
        Breed: "泰迪" ,
        PatientBirthday: "1949-10-1" ,
        ReportPhysician: "王医生" ,
        HospitalName: "XX市XXXXX医院" ,
        ReportDescription: "1.左房内径正常，二尖瓣形态未见明显异常，彩色多普勒未测及返流。\n2.左室内径正常，室间隔及左室壁厚度正常，节段运动未见异常。\n3.主动脉内径正常，主动脉瓣形态未见异常，彩色多普勒未测及返流。\n4.右房室内径正常，三尖瓣形态未见异常，彩色多普勒未测及返流。\n" ,
        ReportSummary: "静息状态下超声心动未见明显异常" ,
        PatientPhoneNumber: "13888888888",
        PatientDeviceNumber: "VINNO M80",
        PatientId: "20190101",
        PatientPerfPhysician: "申请医师",
        PatientUltrasonicNumber: "超声号",
        PatientOutpatientNumber: "门诊号",
        Conclusion: "结论",
        DiseaseName: "疾病名称",
        ReferringPhysician: "咨询医师",
        PerformingPhysician: "主治医师",
        HospitalAddress: "医院地址",
        HospitalDepartment: "医院科室",
        GestationalAgeOriginDescription: "孕龄来源描述",
        GestationalAgeOriginValue: "孕龄来源数值",
        Owner: "主人",
        Operator: "操作者"
    },
    "en-US": {
        ReportImages: "img/DefaultUltrasonicImage2.png",
        ReportImages3: "img/DefaultUltrasonicImage3.png",
        ReportImages2: "img/DefaultUltrasonicImage.png",
        ReportTime: tool.dateFormat(Date.now(), "yyyy-MM-dd"),
        Para: "Para" ,
        PatientGA: "10 Weeks",
        PatientName: "Han MeiMei" ,
        PatientGender: "Female" ,
        PatientAge: "30" ,
        PatientApplicationDepartment: "OutPatient" ,
        PatientCheckNumber: "20220101" ,
        Ectopic: "Ectopic" ,
        PatientInspectionItems: "Abdominal routine",
        PatientInspectionSite: "Heart" ,
        InspectionPhysician: "Dr.Wang" ,
        PatientExaminationWay: "Body surface" ,
        Species: "Dog" ,
        Breed: "Teddy" ,
        PatientBirthday: "1949-10-1" ,
        ReportPhysician: "Dr.Wang" ,
        HospitalName: "XX City XXXXX Hospital" ,
        ReportDescription: "1.Left atrial diameter was normal, mitral valve morphology was not abnormal, color Doppler did not detect reflux.\r\n2.Left ventricular diameter was normal, septal and left ventricular wall thickness were normal, and segmental motion was normal.\r\n3.Aortic diameter was normal, aortic valve morphology was normal, color Doppler flow was not detected and regurgitation was not observed.\r\n4.The right atrial ventricular diameter was normal, the shape of tricuspid valve was normal, the color Doppler flow was not detected and the regurgitation was not observed." ,
        ReportSummary: "No obvious abnormality of echocardiography was found in resting state" ,
        PatientPhoneNumber: "13888888888",
        PatientDeviceNumber: "VINNO M80",
        PatientId: "20190101",
        PatientPerfPhysician: "Applied by",
        PatientUltrasonicNumber: "Ultrasound ID",
        PatientOutpatientNumber: "Record ID",
        Conclusion: "Conclusion",
        DiseaseName: "Disease Name",
        ReferringPhysician: "Ref.Physician",
        PerformingPhysician: "Perf.Physician",
        HospitalAddress: "Hospital Address",
        HospitalDepartment: "Hospital Department",
        GestationalAgeOriginDescription: "Gestational Age Origin Description",
        GestationalAgeOriginValue: "Gestational Age Origin Value",
        Owner: "Pet Owner",
        Operator: "Operator"
    }
}
