export default {
	welcome: "Welcome",
	welcomeTip1: "Welcome to experience the new Apricot Leaf management background",
	welcomeTip2: "Here is the project console, where you can 'customize' adding, removing, or moving parts.",
	welcomeTip3: "Repeated optimizations to improve front-end computing power, reduce bandwidth requests, and code execution continue.",
	welcomeTip4: "Project objective: To make the back-end page more happy and convenient",
	welcomeTip5: "Project features and documentation links",
	query: "Query",
	create: "Create",
	edit: "Edit",
	delete: "Delete",
	audit: "Audit",
	createTime: "Create Time",
	operate: "Operate",
	pleaseChoose: "Select",
	Choose: "Select",
	pleaseInput: "Please input keywords",
	audited: "Audited",
	rejected: "Rejected",
	version: "Version",
	more: "More",
	yes: "Yes",
	no: "No",
	selectAll: "Select All",
	language: "Chinese",
	noData: "No Data",
	"zh-CN": "Chinese",
	"en-US": "English",
	requestFail: "Request Fail",
	view: "View",
	systemError: "System Error",
	aboutProject: "About the project",
	dotStar: "Dot a star for support",
	accountType: "Account Type",
	accountType0: "Admin",
	accountType1: "User",
	accountType2: "US",
	accountType3: "US Box",
	accountType4: "Partner",
	platform: "Platform",
	platform0: "Windows",
	platform1: "Android",
	platform2: "Ios",
	loginSource: "Login Source",
	loginSource0: "PC",
	loginSource1: "Mobile",
	loginSource2: "Pad",
	loginSource3: "Web",
	ipValue: "IP",
	isOnline: "Online",
	default: "Default",
	requestError:"Request Error",
	AccountAuth:"Current Account Permission",
	AccountLoginName:"Account",
	AccountName:"Name",
	AccountPhone:"Phone",
	AccountEmail:"Email",
	AccountLoginNameTitle:"Account Info is used for login and cannot be modified",
	expiration:"Expiration",
	other: {
		progressRing: "Progress ring",
		currentProgress: "current progress",
		Time: "Time",
		AboutTip1: "This Project is an JsonRPC service framework",
		AboutTip2: "Features: Based on the JSONRPclite project",
		AboutTip3: "AppWorkerCenter: Service publishing and registry",
		AboutTip4: "AppFramework: The service framework is used for registration and is run by the AppWorkerCenter invocation",
		AboutTip5: "ServerReboot: Automatic service restart",
	},
	login: {
		slogan: 'High performance / delicate / grace',
		describe: 'Vue3 + element plus based front-end solutions in the background.',
		signInTitle: 'XingLingHui Management System',
		rememberMe: 'Remember me',
		forgetPassword: 'Forget password',
		signIn: 'Sign in',
		signInOther: 'Sign in with',
		userPlaceholder: 'user / phone / email',
		userError: 'Please input a user name',
		PWPlaceholder: 'Please input a password',
		PWError: 'Please input a password',
		admin: 'Administrator',
		copyright: "2019-2022 Vinno Corporation. All rights reserved.",
		loginError: 'Login Fail',
		loadingMenuError: 'Read Menu Fail',
		languageEN: 'English',
		languageCN: 'Simplified Chinese',
		loginResult: "Login Success",
		addPassword: "Add Password",
		editPassword: "Modify Password",
		inputAdminCode: "Input Input Admin Code",
		inputAdminOldPwd: "Please Input Old Password",
		inputAdminPwd: "Please Input Login Password",
		inputPwdValidate: "The password must contain 4-20 letters and digits",
		againInputPwd: "Please Input Password Again",
		pwdDiff: "The two passwords are inconsistent",
		adminOldPwd: "Old Login Password",
		newAdminPwd: "Login Password",
		confirmAdminPwd: "Confirm Password",
		createTestDatas: "Create Test Datas",
		passwordError: "Admin Password Error",
		noAccessTip: "The current user has no menu permission. Please contact your system administrator",
		noAccess: "No access",
	},
	user: {
		dynamic: 'Dynamic',
		info: 'User Info',
		settings: 'Settings',
		nightmode: 'night mode',
		nightmode_msg: 'Suitable for low light environment,The current night mode is beta',
		language: 'language',
		language_msg: 'Translation in progress,Temporarily translated the text of this view',
		personSetting: 'Person Setting',
		modifyPwd: 'Modify Password',
		loginOut: 'Login Out',
		userName: "User Name",
		fullName: "Full Name",
		phone: "Phone",
		email: "Email",
		hospitalName: "Hospital Name",
		loginOutConfirmTitle: "exit the current user?",
		assignUser: "Assign User",
		authorityName: "Name",
		uniqueCode: "Unique Code",
		uniqueCodeTip: "The system is unique and cannot be repeated, otherwise the permission will be invalid.",
		userStatus: "User Status",
		authenticationState: "Authentication State",
		userStatusPlaceholder: "Please Choose User Status",
		nonactivated: "Nonactivated",
		authorityNameRequire: "Please input authority name",
		uniqueCodeRequire: "Please input unique code",
		frontAuthority: "Front Authority",
		selectItem: "Please select the authority on the left to operate",
		activated: "Activated",
		uncertified: "Uncertified",
		waitcertified: "Wait Certified",
		rejected: "Rejected",
		certified: "Certified",
		registerTime: "Register Time",
		certificationAudit: "Certification audit",
		rejectReason: "Reject Reason",
		inputRejectReason: "Input RejectReason",
		rejectReasonRequired: "RejectReason Required",
		auditText: "Approved or not",
		doctorLicense: "Doctor's license",
		cardFront: "Card1",
		cardreverse: "Card2",
		card: "Card",
		applyRoleName: "Apply Role",
		checkIsPass: "Please choice Approved or not",
		rank: "Title",
		userHeadImg: "User Head Image",
		humanFaceImage: "Human Face Image",
		userRoleName: "User Role Name",
		isShow: "IsShow",
		notShow: "notShow",
		clientIsShowTitle: "Client Is Show",
		clientIsShowField: "Client Is Show Field",
		isFieldShow: "isFieldShow",
		notFieldShow: "notFieldShow",
		roleDel1: "The role is already associated ",
		roleDel2: " Users, please remove users before deleting roles",
		to: "To",
		PlaceholderRoleName: "Please Input Role Name(required)",
		PlaceholderDescription: "Please Input Description(Length No Than 50 Words)",
		Placeholder1000Description: "Please Input Description(Length No Than 1000 Character)",
		colorSetting: "Color Setting",
		certification: "Certification",
		AuthSetting: "Authority Setting",
		RoleIcon: "Role Icon",
		RoleHead: "Role Head Image",
		noMoreThan50Words: "No More Than 50 Words",
		noMoreThan1000Words: "No More Than 1000 Character",
		userRoleNameRequire: "User Role Name Is Not Empty",
		fieldNotNull: "fieldNotNull",
		BatchExportDiagnoseData:"Batch Export Diagnose Data",
		HighAuthConfig:"High Authority Config",
		serverInfoList: "Server Management"
	},
	error: {
		errorAuth: 'The current user is logged out or does not have the permission to access the current resource. Please log in to the system again and try again. ',
		hintAuth: 'Access Without Permission',
		againLogin: 'Login Again',
		UnkownError:"Unkown Error",
		JSInternalError:"Javascript Engine Internal Error",
		NotFindObjectError:"Not Find Object Error",
		TypeOrObjectError:"Type Or Object Error",
		ParamIndexOutOfRangeError:"Param Index Out Of Range Error",
		GrammarError:"Grammar Error",
		EvalError:"Eval Use Error",
		URIError:"URI Error"
	},
	dialogBox: {
		confirmWarningText: "Confirm whether to ",
		confirmWarningTitle: "Hint",
		confirmWarningButtonText: "Confirm Exit",
		cancelButtonText: "Cancel",
		confirmButtonText: "Confirm",
		saveButtonText: "Save",
		clearButtonText: "Clear",
		deleteButtonText: 'Delete',
		confirm: "Confirm",
		addTitle: "Add",
		shareTitle: "Share",
		modifyTitle: "Modify",
		removeTitle: "Remove",
		resetButtonText: "Reset",
		detailTitle: "View Detail",
		confirmDeleteText: "Confirm Delete ?",
		searchButtonText: "Search",
		moresearchButtonText: 'Filter',
		imageDetail: "Image Detail",
		pleaseInput: "Please Input ",
		pleaseSelect: "Please Select "
	},
	response: {
		operateSuccess: "Operate Success",
		operateFail: "Operate Fail",
		searchPlaceholder: 'Please Input Keyword',
		operateColumnTitle: "Operate",
		operateEditButton: "Edit",
		operateDeleteButton: "Delete",
		deleteSuccess: "Delete Success",
		keywordLabel: "Keyword",
		description: "Description"
	},
	admin: {
		code:"User Token",
		assignAdmin: "Assign Admin",
		pleaseInputAdminName: "Please input name",
		accountName: "Account",
		fullName: "User Name",
		roleName: "Role Name",
		adminQueryTypeOption0: "Account Name",
		adminQueryTypeOption1: "User Name",
		adminRoleQuery: "Admin Role",
		adminRoleName: "Role Name",
		password1: "Password",
		password2: "confirm Password",
		passwordVaild: "Passwords does not match",
		adminConfirmDelete: "Are you sure to delete this admin",
		assignRole: "assign Role",
		roleUserNum: "Admin Num",
		authoritys: "Authoritys",
		checkAll: "checkAll",
		adminRoleConfirmDelete: "Are you sure to delete this role",
		adminRoleDel1: "The role is already associated",
		adminRoleDel2: " administrators, please remove administrators before deleting roles",
		pleaseInputAdminRole: "Please Input Admin Role"
	},
	organization: {
		organizationName: "Name",
		organizationLogo: "Logo",
		organizationState: "State",
		organizationState0: "WaitAudit",
		organizationState1: "Audited",
		organizationState2: "Rejected",
		waitAudit: "WaitAudit",
		audited: "Audited",
		rejected: "Rejected",
		countryName: "Country",
		provinceName: "Province",
		cityName: "City",
		patientType: "Type",
		patientType0: "Person",
		patientType1: "Animal",
		adminFullName: "Admin Name",
		directorName: "Director",
		queryType0: "Organization Name",
		queryType1: "Admin Name",
		assignAdmin: "Assign Admin",
		confirmDelete: "Are You Sure To Del This Organization ?",
		confirmDelete2: "There has users or devices in the current organization. Are you sure to delete this Organization?",
		frontOrganization: "Front Organization",
		approveOrgMsg: "Are You Sure To Approve This Organization?",
		orgNameRequire: "Please input Organization Name",
		patientTypeRequire: "Please choose patient type",
		uploadLogo: "Upload Logo",
		setDirector: "Set Director",
		setting0: "Patient Setting",
		setting1: "Exam Setting",
		isinvented: "Is invented",
		true: "true",
		false: "false",
		virtualMsg: "Virtual organization cannot be edited",
		jsonErr: "json error",
		globalSetting: "Global Config",
		limitHours: "Limit Hours",
		limitHoursTip: "After the configuration item is set, it will take effect for all organizations as the default value.",
		validLimitHours: "Invalid input",
		hour: "Hour"
	},
	menu: {
		home: "Index",
		dashboard: "Console",
		userCenter: "User Center",
		userManage: "User",
		userList: "User List",
		roleList: "User Role",
		saveRole: "User Role Maintain",
		authority: "User Authority",
		adminManage: "Admin",
		adminList: "Admin List",
		adminRole: "Admin Role",
		adminAuthority: "Admin Authority",
		deviceManage: "Device",
		deviceList: "Device List",
		deviceTypeList: "Device Type List",
		organizationManage: "Hospital",
		organizationList: "Hospital List",
		templateManage: "Template",
		thesaurusItemIndex: "Thesaurus Item",
		thesaurusIndex: "Thesaurus",
		reportTemplateManage: "Report Template",
		reportTemplateIndex: "Report Template",
		reportTemplateDesigner: "Report Template Designer",
		reportLabels: "Report Labels",
		createMenu: "Create Menu",
		diagnosisManage: "Diagnosis",
		diagnosisList: "Diagnosis List",
		backManage: "Console",
		sysLog: "Logs",
		thirdPartyManage: "Partners",
		accountsOnline: "Accounts",
		reportPushSetting: "Report Push Tool Config",
		reportReSend: "Report Send Again",
		reportPage: "Ultrasound Result",
		captcha: "Extraction Code",
		serverInfoList: "Server Management",
		referralSetting: "Hospital Setting",
		shareExamPage:"Exam Image"
	},
	device: {
		Title: "Device",
		deviceTypeCode: "Device Type Code",
		deviceRegId: "Device RegId",
		deviceName: "Device Name",
		deviceCode: "Device Code",
		serialNumber: "Device SerialNumber",
		shareDevice: "Share Device",
		cancelShareDevice: "Cancel Share Device",
		sureToShareDevice: "Are You Sure To Share Device",
		sureToCancelShareDevice: "Are You Sure To Cancel Share Device",
		deviceTypeName: "Device Type Name",
		deviceModelName: "Device Model Name",
		deviceType: "Device Type",
		deviceModel: "Device Model",
		deviceTypeNotNull: "Device Type Can Not Null",
		addDeviceModel: "Add Device Model",
		deviceModel1: "The Device Model is already associated",
		deviceModel2: "Devices, Please remove relevance before deleting device Model",
		createDeviceType: "Create Device Type",
		modifyDeviceType: "Modify Device Type",
		requiredDeviceTypeName: "Please Input Device Type Name",
		requiredDeviceTypeCode: "Please Input Device Type Code",
		deviceID: "Device ID",
		searchHosptial: "Current Hosptial",
		searchAdmin: "Current Administrator",
		searchUser: "Bind User",
		searchAdminPlaceholder: "Please Input Admin Name",
		searchUserPlaceholder: "Please Input User Name",
		departmentColumnTitle: "Current Department",
		deviceBelongUser: "Device Principals",
		shareUserCount: "Share User Count",
		shareDeviceToUser: "Share Device",
		removeDeviceToUser: "Remove Device User",
		userQueryOptions0: "Account",
		userQueryOptions1: "UserID",
		userQueryOptions2: "NickName",
		userQueryOptions3: "Phone",
		userQueryOptions4: "E-mail",
		userQueryOptions5: "UserName",
		userQueryOptions6: "Hospital",
		userQueryOptions7: "Department",
		confirmShareDevice: "Share This Device?",
		confirmCancelShareDevice: "Cancel Share This Device?",
		removeDeviceBindUsers: "This operation will unbind the share user. Continue or not?",
		rejectReasonRequired: "RejectReason Required",
		deviceImage: "Device Image",
		bindShareUser: "Bind Share User",
		diagnosisMudule: "Diagnosis Modules",
	},
	thesaurus: {
		name: "Name",
		thesaurusName: "Name",
		usageType: "Type",
		usageType0: "Person",
		usageType1: "Animal",
		state: "State",
		state0: "Unpublished",
		state1: "Published",
		state2: "Used",
		defaultThesaurus: "Default",
		thesaurusNameRequire: "Please input thesaurus name",
		thesaurusUsageTypeRequire: "Please choose patient type",
		language: "Lanugage",
		delTip: "Are you sure to delete this Thesaurus?",
		publishTip: "Are you sure to publish this thesaurus to the client?",
		publish: "Publish",
		userList: "User List",
		isee: "Got it",
		thesaurusItemView: "Thesaurus Item View",
		thesaurusItemType: "Thesaurus Item Type",
		thesaurusItemFilterPlaceholder: "Filter Thesaurus Item",
		thesaurusItemText: "Thesaurus Item",
		deletethesaurusItemWarning: "Current Type Exist Thesaurus Item,",
		thesaurusItemDetail: "Thesaurus Item Detail",
		conclusion: "Conclusion",
		descriptionPlaceholder: "Please Input Description",
		conclusionPlaceholder: "Please Input Conclusion",
		parentTypeText: "Parent Type",
		typeNameText: "Type Name",
		typeNamePlaceholder: "Please Input Type Name",
		thesaurusItemList: "Thesaurus Item List",
		editCurrentItemPlaceholder: "Edit Current Thesaurus Item",
		loadthesaurusItemDetailError: "Loading Thesaurus Item Detail Error"
	},
	reportTemplate: {
		uniqueCode: "Unique code",
		enterUniqueCode: "Please enter a unique code",
		reportTemplateDetail: "Report template detail",
		name: "Name",
		reportTemplateName: "Report template name",
		reportTemplateNameRequire: "Please input report template name",
		usageType: "Apply group",
		state: "State",
		defaultReportTemplate: "Default report template",
		language: "Language",
		usageType0: "Person",
		usageType1: "Animal",
		state0: "Unpublished",
		state1: "Published",
		state2: "Used",
		userList: "User List",
		publish: "Publish",
		delTip: "Are you sure to delete this report template?",
		publishTip: "Are you sure to publish this report template?",
		isee: "Got it",
		openDesignerTip: "Open Designer"
	},
	reportLabel: {
		language: "Language",
		usageType: "UsageType",
		usageType0: "Person",
		usageType1: "Animal",
		usageTypeRequire: "Please choose usage type",
		labelName: "LabelName",
		labelNameRequire: "Please input label name",
		labelItems: "LabelItems",
		delTip: "Are you sure to delete this Report Label?",
		addItem: "Add",
		toolName: "Name",
		interfaceType: "Interface Type",
		servicePath: "Service Path",
		timeOutSeconds: "TimeOut(Seconds)",
		contact: "Contacts",
		contactMobile: "Contact Way",
		creator: "Creator",
		createTime: "Create Time",
		bindDevice: "Bind Device",
		reportFormat: "Report Format",
		BJAid: "BJAid",
		patientCardId: "Patient CardId",
		patientName: "Patient Name",
		sendStatus: "Send Status",
		reportCreateTime: "Report Create Time",
		sendTime: "Send Time",
		send: "Send",
		reportStartTime: "Report Start Time",
		reportEndTime: "Report End Time",
		sendStatus1: "UnDo",
		sendStatus2: "Successful",
		sendStatus3: "Failed",
		sendStatus4: "All",
		pushSettingKeywordInput: "Please Input Name",
		reSendKeywordInput: "Please Input Name/CardId/PatientName"
	},
	ai: {
		name: "Name",
		switch: "Switch",
		enabled0: "closed",
		enabled1: "opened",
		open: "open",
		close: "close",
		BreastLesionDetectBIRADS: "Breast Auxiliary Diagnosis",
		LiverLesionDetect: "Liver Auxiliary Diagnosis",
		CarotidPlaqueDetect: "Carotid Auxiliary Diagnosis",
		openTip: "Are you sure to open this Diagnosis?",
		closeTip: "Are you sure to close this Diagnosis?",
		organizationSetting: "Diagnosis Settings",
		configured: "Configured",
		notconfigured: "UnConfigured",
		deviceSetting: "Configured Diagnosis Modules",
	},
	thirdParty: {
		name: "name",
		contactPersonName: "contactPersonName",
		contactPhone: "contactPhone",
		isValid: "isValid",
		token: "token",
		inputName: "input Name",
		available: "available",
		disabled: "disabled",
		confirmDelete: "are you sure",
		modifytoken: "modify token",
		confirmToken: "are you sure",
		interface: "interface",
		FindReportByCodeAsync: "FindReportByCodeAsync",
		FindExamReportsAsync: "FindExamReportsAsync"
	},
	sysLog: {
		keyword: "keyword",
		level: "level",
		content: "content",
		startTime: "startTime",
		endTime: "endTime",
		clearLogs: "clear logs",
		inputDays: "Specify how many days ago log data you want to clear",
		affirm: "Actions are irrevocable. Are you sure you need to clean up these logs?",
		before: "days ago",
		server: "Server host",
		unSelected: "Wait Select",
		select: "Selected...",
		selected:"Last Clear:",
		oneWeek: "7 Days Ago",
		twoWeek: "14 Days Ago",
		oneMonth: "30 Days Ago",
		threeMonth: "90 Days Ago",
		halfYear: "180 Days Ago",
		oneYear: "365 Days Ago",
		chooseTimeRange: "Please Choose Wait Clear Time Range",
	},
	reportDesigner: {
		DeleteFail: "Delete fail",
		TableTip: "Drag and drop components into the container",
		AddTableBelow: "Add table below",
		AddGridBelow: "Add grid below",
		TextLengthPerLine: "Width",
		TextWrap: "Auto line break",
		TextLength: "Text Length",
		ElementTag: "Select content type",
		FormatSetting: "Format Setting",
		ElementTagSetting: "Tag Setting",
		EmptyTag: "N/A",
		SelectorItemsSetting: "Items Setting",
		ItemExisted: "This item already existed.",
		Image: "Image",
		Width: "Width",
		Height: "Height",
		Stretch: "Stretch",
		ImageColumnsPerRow: "Image Qty per Row",
		AddImageList: "Add Image List",
		Color: "Color",
		Thickness: "Thickness",
		LineType: "Pattern",
		NoneBorder: "None",
		Preview: "Preview",
		Clear: "Clear up",
		Background: "Fill",
		MergeCell: "Merge Cell",
		DateTimeStyles: "Styles",
		PropertySelect: "Property",
		DateTimeElementIsRealTime: "Show current time",
		DateTimeElementIsEditable: "Editable. choose date time by self.",
		DefaultStaticTextValue: "Input text here",
		SpaceCount: "Space Count",
		EnterImageCommentText: "Please enter image comment",
		ImageDisplayType: "Image Display Style",
		TotoalImagesCount: "Images Qty",
		ImageOnly: "Image Only",
		ImageWithComment: "Image with Comment",
		EnterImageTotalCount: "Please enter total images count",
		Male: "Male",
		Female: "Female",
		ChangeImage: "Change Image",
		PageNumber: "Page Number",
		PageNumberSetting: "Page Number Setting",
		NumberFormatting: "Page Number:1�...",
		NumberAndTotalNumberFormatting: "Page Number:1/2�/...",
		PageHeaderHint: "Add header here",
		PageFooterHint: "Add footer here",
		EnterReportTemplateName: "Please enter report template name",
		ReportTemplateNameIsDefaultNameHint: "Default template is read only, please enter a new name.",
		ReportTemplateNameIsDefault: "Default template is read only.",
		ReportTemplateSelect: "Template",
		DuplicateReportTemplateNameHint: "The file already existed, coverd it or not?",
		SelectPageSize: "Select page size",
		SettingPagePadding: "Set page padding",
		PageSetting: "Page Setting",
		OneColumnPerLine: "1 item per line",
		TwoColumnPerLine: "2 items per line",
		ThreeColumnPerLine: "3 items per line",
		FourColumnPerLine: "4 items per line",
		PageFooterSetting: "Footer Setting",
		SelectorDisplayStyle: "Display Style",
		OnlyShowSelectedItem: "Only show selected item",
		ShowAllItems: "Show all items horizontally",
		HasBorder: "With Border",
		PleaseEnterReportTemplateName: "Please enter report template name.",
		ImportReportTemplateFailed: "Import report template failed.",
		AdditionalRemarksContent: "This report is only for clinical reference.",
		SplitCell: "Split Cell",
		Bold: "Bold",
		Italic: "Italic",
		Underline: "Underline",
		TextColor: "Text Color",
		AlignTop: "Align Top",
		AlignMiddle: "Align Middle",
		AlignBottom: "Align Bottom",
		AlignLeft: "Align Left",
		AlignCenter: "Align Center",
		AlignRight: "Align Right",
		Justify: "Justify",
		UserDefineName: "Customized name",
		ScanMode: "Mode",
		MeasureItem: "Item",
		OutputItem: "Output",
		UnitType: "Unit",
		NoUnit: "No unit",
		ResetTag: "Reset",
		MeasureCategory: "Category",
		Atlas: "Image Only",
		AutoHide: "Auto-hide",
		TransparentBackground: "Transparent background",
		BackgroundColor: "Tag Reference",
		HasGap: "With Gap",
		BorderColor: "Border Color",
		BorderThickness: "Border Thickness",
		Fill: "Fill",
		HeaderHeight: "Header Height",
		FooterHeight: "Footer Height",
		MergeBelowCell: "Lower Cell",
		MergeRightCell: "Right Cell",
		CellSize: "Cell Size",
		ColumnWidth: "Width",
		RowHeight: "Height",
		HeaderDistance: "Header to top",
		FooterDistance: "Footer to bottom",
		FixedValue: "Fixed at",
		MinValue: "Minimum",
		AverageColumnWidth: "Equal Column Width",
		ColumnNumbersPerPage: "Image columns per page",
		RowNumbersPerPage: "Image rows per page",
		MeasureCalculation: "Calculation",
		CustomizeCalculation: "Customize Calculation",
		CommentAndTranslation: "Comment&Translation",
		AsScanComment: "As Scan Comment",
		AsReportComment: "As Report Comment",
		ScanComment: "Scan Comment",
		ReportComment: "Report Comment",
		MeasureLegalFormula: "Formula is correct",
		MeasureIllegalFormula: "Formula is incorrect",
		CannotCreateDuplicateCalculation: "Cannot create duplicate calculation.",
		MeasureFormula: "Formula",
		EnterFormula: "Enter Formula",
		CalculationOperator: "Operator",
		MeasureVerify: "Verify",
		bindType: "Bind Type",
		bindField: "Bind Field",
		featureTag: "Feature tag",
		arrangement: "Vertical Arrangement",
		required: "Required",
		editable: "Editable",
		dynamicData: "Dynamic Data",
		checkbox: "Checkbox",
		custom: "Custom",
		basicModule: "Basic Module",
		reportModule: "Report Module",
		datetime: "Datetime",
		displayFormat: "Display Format",
		realTime: "RealTime",
		divider: "Divider",
		solid: "Solid",
		dotted: "Dotted",
		dashed: "Dashed",
		imageList: "Image List",
		input: "Input",
		placeholder: "Placeholder",
		label: "Label",
		labelTitle: "Text Content",
		labelValue: "Text",
		personTemplate: "Person Template",
		animalTemplate: "Animal Template",
		pageNumber: "Page Number",
		inputContent: "Input Content",
		footerStyle: "Footer Style",
		horizontalArrangement: "Horizontal Arrangement",
		radio: "Radio",
		select: "Select",
		textarea: "Textarea",
		textRows: "Text Rows",
		ultrasoundImage: "Single Image",
		diagnosis: "Summary",
		reportDescription: "Report Description",
		reportSummary: "Report Summary",
		interval: "Interval",
		hidden: "Hidden",
		doctorInfo: "Signature",
		borderColor: "Border Color",
		showTableBorder: "Show Table Border",
		showTableCellBorder: "Show Table Cell Border",
		allowSpanPage: "Allow Span Page",
		showTableCellMargin: "Show Table Cell Margin",
		footer: "Footer",
		grid: "Grid",
		header: "Header",
		inputHeaderContent: "Please Input Header Content",
		patientInfo: "Patient Info",
		replenish: "Remarks",
		reportHeader: "Heading",
		scanTable: "Scan Images",
		ultrasoundImageList: "Image Only",
		table: "Table",
		cell: "Cell",
		insertTopCell: "Insert Top Cell",
		insertBottomCell: "Insert Bottom Cell",
		insertLeftCell: "Insert Left Cell",
		insertRightCell: "Insert Right Cell",
		deleteRow: "Delete Row",
		deleteColumn: "Delete Column",
		size: "Size",
		fontName: "Fnt Name",
		fontColor: "Font Color",
		fold: "Fold",
		save: "Save",
		clear: "Clear",
		undo: "Undo",
		goon: "Goon",
		copy: "Copy",
		shear: "Shear",
		paste: "Paste",
		space: "Space",
		mainTitle: "Flyinsono Report Template Designer",
		moduleProperty: "Property",
		moduleStyle: "Style",
		TemplateSetting: "Template Setting",
		HiddenTemplateSetting: "Hidden Template Setting",
		UseObject: "Use Object",
		HeaderFooter: "Header/Footer",
		PaddingTop: "Padding Top",
		PaddingBottom: "Padding Bottom",
		PaddingLeft: "Padding Left",
		PaddingRight: "Padding Right",
		PagePadding: "Page Padding",
		BasicInfo: "Basic Info",
		FileName: "File Name",
		PageSize: "Page Size",
		BasicStyle: "Basic Style",
		OtherStyle: "Other Style",
		ExportJson: "Export Json",
		ImportJson: "Import Json",
		CustomCaculateItem: "CustomCaculateItem",
		AnnotationTranslate: "Annotation Translate",
		ContentSetting: "Content Setting",
		CommitTip1: "The template information is empty and cannot be exported",
		MaxSizeTip: "The size of the uploaded file cannot exceed",
		Type: "Type",
		StyleTip1: "The component style mandatory field cannot be empty",
		MeasureTip1: "Please enter the calculation item name",
		MeasureTip2: "Please enter the formula",
		MeasureTip3: "Please select the unit",
		MeasureTip4: "Please enter the measurement items",
		MeasureTip5: "Select the measurement item type",
		MeasureTip6: "Please select the measurement items",
		choosePatientInfo: "Choose Patient Info",
		choosePatientEmptyValidate: "The selection cannot be empty",
		patientAddControl: "Please Choose Add Control",
		patientExamineInfo: "Examine Info",
		PetInfo: "Pet Info",
		OtherOperate: "Other Operate",
		Language: "Change Language",
		mainTitleColor: "Title Color",
		HospitalLogo: "Hospital Logo",
		HeaderMainTitle: "Hospital Name",
		HeaderSubTitle: "Report Name",
		HeaderMainContent: "XX City XXXXX Hospital",
		HeaderSubContent: "Inspection Report",
		ReportTime: "Report Time:",
		ReportPhysician: "Report Physician:",
		CellSetting: "Cell Setting",
		LocalUpload: "Upload",
		contentEmptyValidate: "Content Not Empty",
		MeasureWay: "Measure Way",
		SaveToImage: "Save To Image",
		Print: "Print",
		Previous: "Previous",
		Next: "Next",
		Lessen: "Lessen",
		Amplifier: "Amplifier",
		Pager: "Pager",
		First: "First",
		Last: "Last",
		Zoom: "Zoom",
		DisplayScale: "Display Scale",
		InverseColor: "Inverse Color",
		Inverse: "Inverse",
		NormalColor: "Normal Color",
		unfold: "Unfold",
		PatientId: "PatientId:",
		PatientName: "Patient Name:",
		PatientAge: "Patient Age:",
		PatientBirthday: "Patient Birthday:",
		PatientGender: "Patient Gender:",
		PatientPhoneNumber: "Patient Phone Number:",
		PatientExamDate: "Patient Exam Date:",
		PatientLMP: "Patient LMP:",
		PatientGA: "Patient GA:",
		PatientEDD: "Patient EDD:",
		PatientPerfPhysician: "Patient Perf Physician:",
		PatientInspectionItems: "Patient Inspection Items:",
		PatientInspectionSite: "Patient Inspection Site:",
		PatientExaminationWay: "Patient Examination Way:",
		PatientCheckNumber: "Patient Check Number:",
		PatientApplicationDepartment: "Patient Application Department:",
		PatientDeviceNumber: "Patient Device Number:",
		PatientOutpatientNumber: "Patient Outpatient Number:",
		PatientUltrasonicNumber: "Patient Ultrasonic Number:",
		PerformingPhysician: "Performing Physician:",
		ReferringPhysician: "Referring Physician:",
		InspectionPhysician: "Inspection Physician:",
		Owner: "Owner:",
		Species: "Species:",
		Breed: "Breed:",
		Operator: "Operator:",
		ScanPhysician: "ScanPhysician:",
		SexUnSelect: "Un Select",
		OB: "OB",
		Outpatient: "Outpatient",
		PublicHealthDivision: "Public Health Division",
		BodySurface: "Body Surface",
		Transabdominal: "Transabdominal",
		Transvaginal: "Transvaginal",
		ObstetricRoutine: "Obstetric Routine",
		GynecologicalRoutine: "Gynecological Routine",
		AbdominalRoutine: "Abdominal Routine",
		FemaleUrologicalRoutine: "Female Urological Routine",
		MaleUrologicalRoutine: "Male Urological Routine",
		Fetu: "Fetu",
		Liver: "Liver",
		Cardiac: "Cardiac",
		Uterus: "Uterus",
		Appendages: "Appendages",
		PelvicCavity: "PelvicCavity",
		GB: "GB",
		BileDuct: "BileDuct",
		Pancreas: "Pancreas",
		Spleen: "Spleen",
		DoubleKidney: "DoubleKidney",
		Ureter: "Ureter",
		Bladder: "Bladder",
		Prostate: "Prostate",
		Breast: "Breast",
		MesentericLymphNode: "Mesenteric Lymph Node",
		Thyroid: "Thyroid",
		PeripheralSuperficial: "Peripheral Superficial",
		multipleSelect: "Multiple Select",
		ReportPhysicianESignature: "Report Physician E-Signature",
		rowCount: "Row Number",
		columnCount: "Column Number",
		Options: "Options",
		AddOption: "Add Option",
		InsertOption: "Insert Option",
		DeleteOption: "Delete Option",
		LoadingData: "Loading Data",
		ReadDataFail: "Read Data Fail",
		PropertyRequireNotEmpty: "Property Require Not Empty",
		PropertyValueMustNumber: "Property Value Must Number",
		MaxUploadFileValue: "Max Upload File Value",
		Option1: "Option 1",
		Option2: "Option 2",
		Option3: "Option 3",
		OptionOther: "Option Other",
		DynamicOption1: "Dynamic Option 1",
		DynamicOption2: "Dynamic Option 2",
		DynamicOption3: "Dynamic Option 3",
		DynamicOptionOther: "Dynamic Option Other",
		WidthRequireMessage: "Please input module width",
		ContentRequireMessage: "Please select bind content",
		displayFormatRequireMessage: "Please select bind displayFormat",
		ColorRequireMessage: "Please input color picker",
		styleRequireMessage: "Please input border style",
		weightRequireMessage: "Please select border weight",
		numberRequireMessage: "Please input image number",
		pageNumberTypeRequireMessage: "Please select bind pageNumberType",
		rownumberTypeRequireMessage: "Please input table row number",
		columnNumberRequireMessage: "Please input table column number",
		rowsRequireMessage: "Please input text rows",
		heightRequireMessage: "Please input module height",
		saveSuccess:"Save Success",
		saveFail:"Save Fail",
		validateBindContent:"Please Bind Module Content Item",
		singleImageError:"Different tags are required for single image and image collection (or atlas)",
		noCopyTableCellMsg:"Not Copy Table Cells",
		noCutTableCellMsg:"Not Cut Table Cells",
		widthRequireError: "Width Value Can't Be Negative",
		widthRequire0Error: "Width Value Can't Be 0",
		heightRequire0Error: "Height Value Can't Be 0",
		heightRequireError: "Height Value Must Greater Than 0",
		intervalRequireError: "Interval Value Must Greater Than 0",
		borderWidthRequireError: "Border Width Value Must Greater Than 0",
		rowsRequireError: "Textarea Rows Value Must Greater Than 0",
		DataFormatRequireError: "Data Format Error",
		MeasureVerifySuccess: "Formula Verify Success",
		MeasureVerifyFail: "Formula Verify Fail",
		Num:"Num",
		Rows:"Rows",
		Columns:"Cols",
		valueRequireError: "Input Value Must Greater Than 0",
		CustomMeasureItemVerifyFail:"Custom Measure Item Verify Fail",
		FileNameInconformity: "The current template name is different from the original template name",
		UseObjectInconformity: "The current template use object is different from the original template use object",		
		SpeechInput:"Speech Input",
		MeasuringResult:"Measuring Result"
	},
	measurement: {
		Default: "Default",
		Custom: "Custom(Ultrasound only)",
		Common: "Common(Ultrasound only)",
		PSAName: "prostate-specific antigen",
		PPSAName: "Prostate-specific antigen promoter coefficient",
		Height: "Height",
		BSA: "BSA",
		Weight: "Weight",
		HR: "HR",
		GA: "GA"
	},
	errorMsg: {
		adminNotFound: "admin Not Found",
		adminNameEmpty: "admin Name Empty",
		adminCodeEmpty: "admin Code Empty",
		adminQueryTypeError: "admin QueryType Error",
		orgAdminDelFail: "Delete Organization AdminInfo Fail",
		newPasswordEmpty: "Delete Organization AdminInfo Fail",
		adminRoleCodesEmpty: "AdminRoleCodes is empty",
		adminRoleNotExist: "AdminRoleCodes not exist",
		selectRoleWithoutOrg: "You cannot select a role without selecting an organization",
		passwordEmpty: "Password cannot be empty",
		codeRequired: "codeRequired",
		applyRoleNotExist: "The role of application record does not exist",
		userFeatureNotFind: "userFeature is not find",
		superiorError: "cannot choose yourself as your superior",
		dataNotFind: "data Not Find",
		superAdminCantUpt: "Super administrator role cannot be modified",
		parentOrgNotExist: "Parent organization does not exist",
		deviceModelsBind: "There are models of bound devices",
		orgNotExist: "organization is not find",
		userNotFind: "user is not find",
		fileNameTypeError: "FileType And FileName Empty error",
		fileNameError: "FileName validation error",
		editThesaurusItemError: "edit thesaurusItem error",
		editThesaurusItemContentError: "edit thesaurusItemContent error",
		nameCannotDelete: "Name Cannot delete",
		phoneCannotDelete: "Phone Cannot delete",
		baseInfoCannotDelete: "BaseInfo Cannot delete",
		nameEmptyError: "Name empty error",
		requestError: "Request Error",
		response404: "Response 404",
		response500: "Response 500",
		UnResponse: "Server Not Response",
		LoginTimeOut: "Login TimeOut, Please Login Again",
		orgCanNotChoseChild:"Parent organization can not choose Sub level organization"
	},
	share: {
		captchTitle: "Please enter the report extraction code",
		showReport: "View report",
		warnMessage: "Please check the report extraction code",
	},
	AdminPasswordError: "Admin Password Error",
	FileNameIsEmpty: "File name cannot be empty",
	OrgCanNotChoseChild: "The managing side cannot select its child as its parent",
	AdminPasswordIsEmpty: "Administrator password is empty",
	AdminNameNotFound: "Administrator not found",
	NameEmpty: "Name must be passed",
	AdminCodeEmpty: "Administrator Code must be passed",
	AdminNameExisted: "The administrator name already exists",
	AdminQueryTypeError: "Administrator query type error",
	AdminCodeNotFind: "Administrator Code not found",
	OrgAdminDelFail: "Organization administrator deletion failed",
	UsercodeIsEmpty: "Usercode must be passed",
	NewPasswordIsEmpty: "Password must be passed",
	RoleCodesIsEmpty: "Role must be passed",
	RoleCodesNotExist: "The role does not exist",
	CanNotModifyRoleWithoutOrg: "Don't choose agencies cannot select role",
	IdentityApplyCodeRequired: "Certification record Code will pass",
	UniqueCodeEmpty: "UniqueCodeEmpty",
	UniqueCodeRepeated: "UniqueCodeRepeated",
	UserFeatureNotFind: "Permission not found",
	ChooseSelfAsSuperior: "Cannot choose oneself as superior",
	UserFeatureIsRequired: "Permission required",
	RoleNotFind: "Role not found",
	SuperAdministratorProcess: "Super administrator role operation",
	DeviceNotFind: "Device not found",
	DeviceCodeRequired: "DeviceCode must be passed",
	DeviceTypeRequired: "Device type must be uploaded",
	DeviceTypeRepeated: "Device type cannot be repeated",
	UsedForDevice: "Device type bound device",
	ParentOrgNotExist: "The parent organization does not exist",
	OrgNotExist: "Institutions do not exist",
	VirtualOrgProcess: "Virtual organization cannot operate",
	UserNotFind: "User not found",
	ThesaurusEmpty: "Thesaurus Code or term name is empty",
	EditThesaurusItemError: "edit entry failed",
	ThesaurusCodeEmpty: "Thesaurus Code or entry Code is empty",
	DescriptionOrConclusionEmpty: "Conclusion or description is empty",
	EditThesaurusItemContentError: "Edit entry failure",
	ThesaurusCodeOrParentItemCodeEmpty: "Entry Code or a parent Code is empty",
	JsonError: "Incorrect Json format",
	NotRealVersion: "Version number format is incorrect",
	NameCannotDelete: "Name cannot be deleted",
	PhoneCannotDelete: "Phone number cannot be deleted",
	BaseInfoCannotDelete: "The basic information cannot be deleted",
	CodeIsNull: "Code is empty",
	LastVersion: "already the latest version",
	SystemError: "SystemError",
	IdentityUser: "Identity User",
	Identity: "Identity",
	Nonactivated: "Nonactivated",
	Activated: "Activated",
	Person: "Person Organization",
	Animals: "Animals Organization",
	OrganizationStatistic: "Organization Distribute",
	ServiceObject: "Use Organization",
	MyBacklog: "My Backlog",
	WaitAuditUser: "Wait Audit User",
	PersonUnit:"Person",
	RoleAuth: "Role Authentication",
	Number: "Number",
	DeviceTypeStatistic: "Device Type Distribute",
	DeviceModelStatistic: "Device Model Distribute",
	ThesaurusNameDuplication: "Thesaurus name duplication",
	ReportTemplateNameDuplication: "Report template name duplication",
	StartIpIsInInterval: "StartIp Is InInterval",
	EndIpIsInInterval: "EndIPIs In Interval",
	IncorrectIPFormat:"IncorrectIPFormat",
	Lng:"Lng",
	Lat:"Lat",
	IPManage:"IP Manage",
	StartIp:"StartIp",
	EndIp:"EndIp"
}
