export default {
	welcome: "欢迎",
	welcomeTip1: "欢迎体验 新杏聆荟管理后台",
	welcomeTip2: "这里是项目控制台，你可以“自定义”添加移除或者移动部件。",
	welcomeTip3: "在提高前端算力、减少带宽请求和代码执行力上多次优化，并且持续着。",
	welcomeTip4: "项目目的：让后端做页面更快乐更方便",
	welcomeTip5: "项目特色以及文档链接",
	query: "查询",
	create: "创建",
	edit: "编辑",
	delete: "删除",
	audit: "审核",
	createTime: "创建时间",
	operate: "操作",
	pleaseChoose: "请选择",
	Choose: "选择",
	pleaseInput: "请输入关键字",
	audited: "审核通过",
	rejected: "审核不通过",
	version: "版本",
	more: "更多",
	yes: "是",
	no: "否",
	selectAll: "全选",
	language: "中文",
	"zh-CN": "中文",
	"en-US": "英文",
	noData: "暂无数据",
	requestFail: "请求失败",
	view: "查看",
	systemError: "系统异常",
	aboutProject: "关于项目",
	dotStar: "点个星星支持一下",
	accountType: "账号类型",
	accountType0: "管理员",
	accountType1: "用户",
	accountType2: "超声机",
	accountType3: "超声魔盒",
	accountType4: "合作方",
	platform: "平台",
	platform0: "Windows",
	platform1: "Android",
	platform2: "Ios",
	loginSource: "登录源",
	loginSource0: "PC",
	loginSource1: "Mobile",
	loginSource2: "Pad",
	loginSource3: "Web",
	ipValue: "IP",
	isOnline: "是否在线",
	default: "默认",
	requestError: "请求异常",
	AccountAuth:"当前账号权限",
	AccountLoginName:"账号",
	AccountName:"姓名",
	AccountPhone:"手机",
	AccountEmail:"邮箱",
	AccountLoginNameTitle:"账号信息用于登录，系统不允许修改",
	expiration:"过期时间",
	other: {
		progressRing: "进度环",
		currentProgress: "当前进度",
		Time: "时钟",
		AboutTip1: "这个项目是一个JsonRPC服务框架",
		AboutTip2: "基于JSONRPclite项目",
		AboutTip3: "支持服务发布和注册",
		AboutTip4: "服务框架用于注册，并由AppWorkerCenter调用运行",
		AboutTip5: "自动服务重启",
	},
	login: {
		slogan: '高性能 / 精致 / 优雅',
		describe: '基于Vue3 + Element-Plus 的中后台前端解决方案',
		signInTitle: '杏聆荟管理后台',
		rememberMe: '记住密码',
		forgetPassword: '忘记密码',
		signIn: '登录',
		signInOther: '其他登录方式',
		userPlaceholder: '用户名 / 手机 / 邮箱',
		userError: '请输入用户名',
		PWPlaceholder: '请输入密码',
		PWError: '请输入密码',
		admin: '管理员',
		copyright: "2019-2022 Vinno Corporation. All rights reserved.",
		loginError: '登录失败',
		loadingMenuError: '读取菜单失败',
		languageEN: '英文',
		languageCN: '简体中文',
		loginResult: "登录成功",
		addPassword: "新增密码",
		editPassword: "修改密码",
		inputAdminCode: '请输入用户编码',
		inputAdminOldPwd: "请输入旧密码",
		inputAdminPwd: '请输入登录密码',
		inputPwdValidate: "密码必须是由4-20位字母数字组合",
		againInputPwd: '请再次输入密码',
		pwdDiff: '两次输入密码不一致',
		adminOldPwd: '旧密码',
		newAdminPwd: "登录密码",
		confirmAdminPwd: "确认密码",
		loginOutConfirmTitle: "退出当前用户？",
		createTestDatas: "生成测试数据",
		passwordError: "密码错误",
		noAccessTip: "当前用户无任何菜单权限，请联系系统管理员",
		noAccess: "无权限访问",
	},
	error: {
		errorAuth: '当前用户已被登出或无权限访问当前资源，请尝试重新登录后再操作。',
		hintAuth: '无权限访问',
		againLogin: '重新登录',
		UnkownError: "未知错误",
		JSInternalError: "Javascript引擎内部错误",
		NotFindObjectError: "未找到对象",
		TypeOrObjectError: "使用了错误的类型或对象",
		ParamIndexOutOfRangeError: "使用内置对象时，参数超范围",
		GrammarError: "语法错误",
		EvalError: "错误的使用了Eval",
		URIError: "URI错误"
	},
	dialogBox: {
		confirmWarningText: "确认是否",
		confirmWarningTitle: "提示",
		confirmWarningButtonText: '退 出',
		cancelButtonText: '取 消',
		confirmButtonText: '确 认',
		saveButtonText: '保 存',
		clearButtonText: '清 除',
		deleteButtonText: '删 除',
		confirm: "确定",
		addTitle: "新增",
		shareTitle: "分配",
		modifyTitle: "修改",
		removeTitle: "移除",
		detailTitle: "查看详情",
		confirmDeleteText: "确定删除吗？",
		resetButtonText: "重 置",
		searchButtonText: '搜索',
		moresearchButtonText: '筛选',
		imageDetail: "图片详情",
		pleaseInput: "请输入",
		pleaseSelect: "请选择",

	},
	response: {
		operateSuccess: "操作成功",
		operateFail: "操作失败",
		searchPlaceholder: '请输入关键词',
		operateColumnTitle: "操作",
		operateEditButton: "编辑",
		operateDeleteButton: "删除",
		deleteSuccess: "删除成功",
		keywordLabel: '关键字',
		description: "描述"
	},
	user: {
		dynamic: '近期动态',
		info: '个人信息',
		settings: '设置',
		nightmode: "黑夜模式",
		nightmode_msg: '适合光线较弱的环境，当前黑暗模式为beta版本',
		language: '语言',
		language_msg: '翻译进行中，暂翻译了本视图的文本',
		personSetting: '个人设置',
		modifyPwd: '修改密码',
		loginOut: '退出登录',
		userName: '用户名',
		fullName: "用户姓名",
		phone: "手机号",
		email: "邮箱",
		hospitalName: "所在医院",
		userStatus: "用户状态",
		authenticationState: "认证状态",
		userStatusPlaceholder: "请选择用户状态",
		nonactivated: "未激活",
		activated: "已激活",
		uncertified: "未认证",
		waitcertified: "待审核",
		rejected: "已拒绝",
		certified: "已认证",
		registerTime: "注册时间",
		certificationAudit: "认证审核",
		rejectReason: "拒绝原因",
		inputRejectReason: "请输入拒绝原因",
		rejectReasonRequired: "拒绝原因必填",
		auditText: "是否审核通过",
		doctorLicense: "医师执照",
		cardFront: "身份证1",
		cardreverse: "身份证2",
		card: "身份证",
		applyRoleName: "申请角色",
		assignUser: "分配负责人",
		authorityName: "权限名称",
		uniqueCode: "权限唯一码",
		uniqueCodeTip: "系统唯一不可重复，否则将导致权限失效。",
		authorityNameRequire: "请输入权限名称",
		uniqueCodeRequire: "请输入权限唯一码",
		frontAuthority: "上级权限",
		selectItem: "请选择左侧权限后操作",
		checkIsPass: "请选择是否审核通过",
		rank: "职称",
		userHeadImg: "用户头像",
		humanFaceImage: "人像面",
		userRoleName: "用户角色名称",
		isShow: "展示",
		notShow: "不展示",
		clientIsShowTitle: "用户端是否展示",
		clientIsShowField: "擅长领域",
		isFieldShow: "需填写",
		notFieldShow: "无需填写",
		roleDel1: "该角色已关联 ",
		roleDel2: " 个用户，请先移除用户再删除角色",
		to: "至",
		PlaceholderRoleName: "请输入角色名称（必填）",
		PlaceholderDescription: "请输入描述（长度不超过50个字）",
		Placeholder1000Description: "请输入描述（长度不超过1000个字符）",
		colorSetting: "颜色设置",
		certification: "资质文件",
		AuthSetting: "权限设置",
		RoleIcon: "角色图标",
		RoleHead: "角色头像",
		noMoreThan50Words: "描述不超过50个字",
		noMoreThan1000Words: "描述不超过1000个字符",
		userRoleNameRequire: "用户角色名称必填",
		fieldNotNull: "擅长领域不可为空",
		BatchExportDiagnoseData: "分时诊断数据批量导出",
		HighAuthConfig: "高级权限配置"
	},
	admin: {
		code:"用户Token",
		assignAdmin: "分配管理员",
		pleaseInputAdminName: "请输入管理员姓名",
		accountName: "用户名",
		fullName: "用户姓名",
		roleName: "角色名称",
		adminQueryTypeOption0: "用户名",
		adminQueryTypeOption1: "姓名",
		adminRoleQuery: "管理员角色",
		adminRoleName: "管理员角色名称",
		password1: "密码",
		password2: "确认密码",
		passwordVaild: "密码不一致",
		adminConfirmDelete: "确定删除该管理员吗？",
		assignRole: "分配角色",
		roleUserNum: "角色人数",
		authoritys: "权限",
		checkAll: "全选",
		adminRoleConfirmDelete: "确定删除该管理员角色吗？",
		adminRoleDel1: "该角色已关联",
		adminRoleDel2: " 个用户，请先移除用户再删除角色",
		pleaseInputAdminRole: "请选择管理员角色"
	},
	organization: {
		organizationName: "机构名称",
		organizationLogo: "机构Logo",
		organizationState: "审核状态",
		organizationState0: "待审核",
		organizationState1: "已审核",
		organizationState2: "已驳回",
		waitAudit: "待审核",
		audited: "已审核",
		rejected: "已驳回",
		countryName: "国家地区",
		provinceName: "省份",
		cityName: "城市",
		patientType: "服务对象",
		patientType0: "人用",
		patientType1: "兽用",
		adminFullName: "所属管理员",
		directorName: "机构负责人",
		queryType0: "机构名称",
		queryType1: "所属管理员",
		assignAdmin: "分配管理员",
		confirmDelete: "确定删除该组织吗？",
		confirmDelete2: "当前机构存在绑定用户或设备，确定删除吗？",
		frontOrganization: "上级机构",
		approveOrgMsg: "该机构是否审核通过？",
		orgNameRequire: "请输入机构名称",
		patientTypeRequire: "请选择服务对象",
		uploadLogo: "上传Logo",
		setDirector: "编辑负责人",
		setting0: "病人配置",
		setting1: "检查配置",
		isinvented: "是否虚拟机构",
		true: "是",
		false: "否",
		virtualMsg: "虚拟机构不可编辑",
		jsonErr: "json格式不正确",
		globalSetting: "机构全局配置",
		limitHours: "转诊超时时限",
		limitHoursTip: "配置项设置完成后，将作为默认值对所有机构生效。",
		validLimitHours: "转诊超时时限无效",
		hour: "小时"
	},
	menu: {
		home: "首页",
		dashboard: "控制台",
		userCenter: "个人信息",
		userManage: "用户",
		userList: "用户列表",
		roleList: "平台角色",
		saveRole: "平台角色",
		authority: "权限列表",
		adminManage: "管理员",
		adminList: "管理员列表",
		adminRole: "管理员角色",
		adminAuthority: "管理员权限",
		deviceManage: "设备",
		deviceList: "设备列表",
		deviceTypeList: "设备类型列表",
		organizationManage: "机构",
		organizationList: "机构列表",
		templateManage: "模板",
		thesaurusItemIndex: "词条",
		thesaurusIndex: "词条库模板",
		reportTemplateManage: "报告模板",
		reportTemplateIndex: "报告模板",
		reportTemplateDesigner: "报告模板设计器",
		reportLabels: "报告标签",
		createMenu: "创建菜单",
		diagnosisManage: "AI诊断",
		diagnosisList: "AI应用",
		backManage: "后台管理",
		sysLog: "系统日志",
		thirdPartyManage: "第三方管理",
		accountsOnline: "在线账号",
		reportPushSetting: "报告推送工具配置",
		reportReSend: "报告重发",
		reportPage: "超声检查报告单",
		captcha: "提取码",
		serverInfoList: "服务器管理",
		referralSetting: "机构设置",
		shareExamPage:"超声检查图像"
	},
	device: {
		Title: "设备",
		deviceTypeCode: "类型编码",
		deviceRegId: "设备注册ID",
		deviceName: "设备名称",
		deviceCode: "设备编码",
		serialNumber: "物理唯一码",
		shareDevice: "分配设备",
		cancelShareDevice: "已分享用户",
		sureToShareDevice: "确定分享设备吗",
		sureToCancelShareDevice: "确定取消分享设备吗",
		deviceTypeName: "设备类型名",
		deviceModelName: "设备型号名",
		deviceType: "设备类型",
		deviceModel: "设备型号",
		deviceTypeNotNull: "设备型号不能为空",
		addDeviceModel: "添加型号",
		deviceModel1: "该型号已关联 ",
		deviceModel2: " 个设备，请先修改设备再删除型号",
		createDeviceType: "创建设备类型",
		modifyDeviceType: "修改设备类型",
		requiredDeviceTypeName: "请输入设备类型名称",
		requiredDeviceTypeCode: "请输入设备类型编码",
		deviceID: "设备注册ID",
		searchHosptial: "所在医院",
		searchAdmin: "所属管理员",
		searchUser: "绑定用户",
		searchAdminPlaceholder: "请输入管理员姓名",
		searchUserPlaceholder: "请输入用户姓名",
		departmentColumnTitle: "所在部门",
		deviceBelongUser: "设备负责人",
		shareUserCount: "分享用户数",
		shareDeviceToUser: "分享设备",
		removeDeviceToUser: "移除用户",
		userQueryOptions0: "用户名",
		userQueryOptions1: "用户ID",
		userQueryOptions2: "用户昵称",
		userQueryOptions3: "手机号",
		userQueryOptions4: "邮箱",
		userQueryOptions5: "用户姓名",
		userQueryOptions6: "所属医院",
		userQueryOptions7: "所属科室",
		confirmShareDevice: "分享当前设备？",
		confirmCancelShareDevice: "取消分享当前设备？",
		removeDeviceBindUsers: "此操作将解除已绑定的分享用户, 是否继续？",
		rejectReasonRequired: "拒绝原因必填",
		deviceImage: "设备图像",
		bindShareUser: "绑定分享用户",
		diagnosisMudule: "AI应用",
	},
	thesaurus: {
		name: "名称",
		thesaurusName: "词条库名称",
		usageType: "服务对象",
		usageType0: "人用",
		usageType1: "兽用",
		state: "状态",
		state0: "未发布",
		state1: "已发布",
		state2: "已引用",
		defaultThesaurus: "默认词条库",
		thesaurusNameRequire: "请输入词条库名称",
		thesaurusUsageTypeRequire: "请选择服务对象",
		language: "语言配置",
		delTip: "确认删除该词条库吗？",
		publishTip: "确定将该词条库发布至客户端吗？",
		publish: "发布",
		userList: "用户列表",
		isee: "我知道了",
		thesaurusItemView: "查看词条",
		thesaurusItemType: "词条分类",
		thesaurusItemFilterPlaceholder: "搜索词条分类",
		thesaurusItemText: "词条",
		deletethesaurusItemWarning: "该分类下有词条，",
		thesaurusItemDetail: "词条详情",
		conclusion: "结论",
		descriptionPlaceholder: "请输入描述",
		conclusionPlaceholder: "请输入结论",
		parentTypeText: "上级分类",
		typeNameText: "分类名称",
		typeNamePlaceholder: "请输入分类名称",
		thesaurusItemList: "词条列表",
		editCurrentItemPlaceholder: "点击此编辑词条",
		loadthesaurusItemDetailError: "加载词条详情异常"
	},
	reportTemplate: {
		uniqueCode: "关键Key(唯一)",
		enterUniqueCode: "请输入关键Key",
		reportTemplateDetail: "报告模板详情",
		name: "名称",
		reportTemplateNameRequire: "请输入报告模板名",
		reportTemplateName: "报告模板名",
		usageType: "服务对象",
		state: "状态",
		defaultReportTemplate: "默认报告模板",
		language: "语言配置",
		usageType0: "人用",
		usageType1: "兽用",
		state0: "未发布",
		state1: "已发布",
		state2: "已引用",
		publish: "发布",
		userList: "用户列表",
		delTip: "确认删除该模板库吗？",
		publishTip: "确定发布该模板库吗？",
		isee: "我知道了",
		openDesignerTip: "打开设计器"
	},
	reportLabel: {
		language: "语言配置",
		usageType: "服务对象",
		usageType0: "人用",
		usageType1: "兽用",
		usageTypeRequire: "请选择服务对象",
		labelName: "标签名称",
		labelNameRequire: "请输入标签名称",
		labelItems: "标签值",
		delTip: "确认删除该报告标签吗？",
		addItem: "添加",
		toolName: "名称",
		interfaceType: "接口类型",
		servicePath: "服务地址",
		timeOutSeconds: "超时时间(秒)",
		contact: "联系人",
		contactMobile: "联系方式",
		creator: "创建者",
		createTime: "创建时间",
		bindDevice: "绑定设备",
		reportFormat: "报告格式",
		BJAid: "北京急救中心",
		patientCardId: "病人身份证Id",
		patientName: "病人姓名",
		sendStatus: "发送状态",
		reportCreateTime: "报告创建时间",
		sendTime: "发送时间",
		send: "发送",
		reportStartTime: "报告开始时间",
		reportEndTime: "报告截止时间",
		sendStatus1: "处理中",
		sendStatus2: "转发推送成功",
		sendStatus3: "转发推送失败",
		sendStatus4: "查询所有",
		pushSettingKeywordInput: "请输入名称搜索",
		reSendKeywordInput: "请输入名称/病人身份Id/病人姓名搜索"
	},
	ai: {
		name: "应用名称",
		switch: "应用总开关",
		enabled0: "已关闭",
		enabled1: "已开启",
		open: "开启",
		close: "关闭",
		BreastLesionDetectBIRADS: "乳腺辅助诊断",
		LiverLesionDetect: "肝脏辅助诊断",
		CarotidPlaqueDetect: "颈动脉辅助诊断",
		openTip: "确认开启该应用吗？",
		closeTip: "确认关闭该应用吗？",
		organizationSetting: "AI配置",
		configured: "已配置",
		notconfigured: "未配置",
		deviceSetting: "已配置的AI应用",
	},
	thirdParty: {
		name: "名称",
		contactPersonName: "联系人",
		contactPhone: "联系电话",
		isValid: "是否可用",
		token: "Token",
		inputName: "请输入名称",
		available: "可用",
		disabled: "不可用",
		confirmDelete: "是否确定删除",
		modifytoken: "设置token",
		confirmToken: "是否确定设置",
		interface: "可用接口",
		FindReportByCodeAsync: "获取报告详情",
		FindExamReportsAsync: "获取检查报告列表"
	},
	sysLog: {
		keyword: "关键字",
		level: "日志级别",
		content: "内容",
		startTime: "开始时间",
		endTime: "截止时间",
		clearLogs: "清理日志",
		inputDays: "请填写需要清理多少天之前的日志数据",
		affirm: "操作不可撤销，你确定需要清理掉这些日志吗？",
		before: "之前",
		unSelected: "待选择",
		select: "已选择...",
		selected:"上次清理：",
		oneWeek: "一周前",
		twoWeek: "两周前",
		oneMonth: "一个月前",
		threeMonth: "三个月前",
		halfYear: "半年前",
		oneYear: "一年前",
		chooseTimeRange: "请选择要清理的时段",
	},
	reportDesigner: {
		DeleteFail: "删除失败",
		AddTableBelow: "下方添加表格",
		AddGridBelow: "下方添加栅格",
		TableTip: "拖拽组件到此容器内",
		TextLengthPerLine: "宽度",
		TextWrap: "超过自动换行",
		TextLength: "字符数",
		ElementTag: "选择内容",
		FormatSetting: "格式设置",
		ElementTagSetting: "内容设置",
		EmptyTag: "N/A",
		SelectorItemsSetting: "选项设置",
		ItemExisted: "此选项已存在",
		Image: "图片",
		Width: "宽度",
		Height: "高度",
		Stretch: "拉伸",
		ImageColumnsPerRow: "每行图片个数",
		AddImageList: "添加图像集合",
		Color: "颜色",
		Thickness: "粗细",
		LineType: "线条样式",
		NoneBorder: "无线条",
		Preview: "预览",
		Clear: "清空",
		Background: "背景色",
		MergeCell: "合并单元格",
		DateTimeStyles: "展示样式",
		PropertySelect: "属性选择",
		DateTimeElementIsRealTime: "获取系统当前时间",
		DateTimeElementIsEditable: "可编辑，需手动选择时间",
		DefaultStaticTextValue: "请在此输入文本",
		SpaceCount: "空格个数",
		EnterImageCommentText: "请输入图片标注",
		ImageDisplayType: "图像显示方式",
		TotoalImagesCount: "图片总数",
		ImageOnly: "仅显示图片",
		ImageWithComment: "显示图片及标注",
		EnterImageTotalCount: "请输入图片总数",
		Male: "男",
		Female: "女",
		ChangeImage: "更改图片",
		PageNumber: "页码",
		PageNumberSetting: "页码设置",
		NumberFormatting: "页码：1，2...",
		NumberAndTotalNumberFormatting: "页码：1/2，2/2...",
		PageHeaderHint: "请输入页眉内容",
		PageFooterHint: "请输入页脚内容",
		EnterReportTemplateName: "请输入模板名称",
		ReportTemplateNameIsDefaultNameHint: "默认模板不能修改，请重新命名",
		ReportTemplateNameIsDefault: "默认模板不能修改",
		ReportTemplateSelect: "模板列表",
		DuplicateReportTemplateNameHint: "同名报告模板已存在，是否覆盖？",
		SelectPageSize: "请选择纸张大小",
		SettingPagePadding: "请设置页边距",
		PageSetting: "页面设置",
		OneColumnPerLine: "每行1个字段",
		TwoColumnPerLine: "每行2个字段",
		ThreeColumnPerLine: "每行3个字段",
		FourColumnPerLine: "每行4个字段",
		PageFooterSetting: "页脚显示选择",
		SelectorDisplayStyle: "展示样式",
		OnlyShowSelectedItem: "仅显示选中项",
		ShowAllItems: "横向显示所有项",
		HasBorder: "图像边框",
		PleaseEnterReportTemplateName: "请输入报告模板名称",
		ImportReportTemplateFailed: "导入模板失败",
		AdditionalRemarksContent: "此报告仅供临床医生参考，不作证明材料",
		SplitCell: "拆分单元格",
		Bold: "加粗",
		Italic: "倾斜",
		Underline: "下划线",
		TextColor: "字体颜色",
		AlignTop: "顶端对齐",
		AlignMiddle: "垂直居中",
		AlignBottom: "底端对齐",
		AlignLeft: "左对齐",
		AlignCenter: "居中",
		AlignRight: "右对齐",
		Justify: "两端对齐",
		UserDefineName: "自定义测量项名称",
		ScanMode: "模式",
		MeasureItem: "测量项",
		OutputItem: "输出",
		UnitType: "单位",
		NoUnit: "无单位",
		ResetTag: "重置",
		MeasureCategory: "类别",
		Atlas: "图册",
		AutoHide: "自动隐藏",
		TransparentBackground: "透明背景",
		BackgroundColor: "背景色",
		HasGap: "图像间空隙",
		BorderColor: "线条颜色",
		BorderThickness: "线条粗细",
		Fill: "填充",
		HeaderHeight: "页眉高度",
		FooterHeight: "页脚高度",
		MergeBelowCell: "向下合并",
		MergeRightCell: "向右合并",
		CellSize: "单元格尺寸",
		ColumnWidth: "列宽",
		RowHeight: "行高",
		HeaderDistance: "页眉距上",
		FooterDistance: "页脚距下",
		FixedValue: "固定值",
		MinValue: "最小值",
		AverageColumnWidth: "列宽平均分布",
		ColumnNumbersPerPage: "每页图像列数",
		RowNumbersPerPage: "每页图像行数",
		MeasureCalculation: "计算项",
		CustomizeCalculation: "自定义计算项",
		CommentAndTranslation: "注释&翻译",
		AsScanComment: "作为扫查注释",
		AsReportComment: "作为报告注释",
		ScanComment: "扫查注释",
		ReportComment: "报告注释",
		MeasureLegalFormula: "",
		MeasureIllegalFormula: "公式错误",
		CannotCreateDuplicateCalculation: "不能创建重名的公式",
		MeasureFormula: "公式",
		EnterFormula: "输入公式",
		CalculationOperator: "运算符",
		MeasureVerify: "验证",
		bindType: "绑定类型",
		bindField: "绑定内容",
		featureTag: "功能标签",
		required: "必填",
		editable: "可编辑",
		arrangement: "纵向排列",
		dynamicData: "动态数据",
		checkbox: "多选框",
		custom: "自定义组件",
		basicModule: "基本组件",
		reportModule: "报告组件",
		datetime: "时间",
		displayFormat: "展示样式",
		realTime: "默认当前时间",
		divider: "分割线",
		solid: "实线",
		dotted: "点状",
		dashed: "虚线",
		imageList: "超声图像列表",
		input: "文本框",
		placeholder: "占位文本",
		label: "文本",
		labelTitle: "文本内容",
		labelValue: "固定文本",
		personTemplate: "人用模板",
		animalTemplate: "兽用模板",
		pageNumber: "页码",
		inputContent: "请输入文本内容",
		footerStyle: "页脚样式",
		horizontalArrangement: "横向排列",
		radio: "单选",
		select: "下拉列表",
		textarea: "多行文本",
		textRows: "文本行数",
		ultrasoundImage: "单张超声图像",
		diagnosis: "诊断信息",
		reportDescription: "超声描述",
		reportSummary: "超声提示",
		interval: "间隔",
		hidden: "隐藏展示",
		doctorInfo: "医师信息",
		borderColor: "边框颜色",
		showTableBorder: "是否显示边框",
		showTableCellBorder: "显示单元格边框",
		allowSpanPage: "允许跨页断行",
		showTableCellMargin: "显示单元格间隔",
		footer: "页脚",
		grid: "栅格布局",
		header: "页眉",
		inputHeaderContent: "请输入页眉内容",
		patientInfo: "病人信息",
		replenish: "补充说明",
		reportHeader: "报告抬头",
		scanTable: "扫查标注",
		ultrasoundImageList: "超声图册",
		table: "表格布局",
		cell: "单元格",
		insertTopCell: "上方插入行",
		insertBottomCell: "下方插入行",
		insertLeftCell: "左侧插入列",
		insertRightCell: "右侧插入列",
		deleteRow: "删除行",
		deleteColumn: "删除列",
		size: "大小",
		fontName: "字体",
		fontColor: "字体颜色",
		fold: "折叠",
		save: "保存",
		clear: "清除",
		undo: "撤销",
		goon: "恢复",
		copy: "复制",
		shear: "剪切",
		paste: "粘贴",
		space: "占位符",
		mainTitle: "杏聆荟报告模板设计器",
		moduleProperty: "组件属性",
		moduleStyle: "组件样式",
		TemplateSetting: "模板设置",
		HiddenTemplateSetting: "隐藏配置模板",
		UseObject: "适用对象",
		HeaderFooter: "页眉/页脚",
		PaddingTop: "页边距上",
		PaddingBottom: "页边距下",
		PaddingLeft: "页边距左",
		PaddingRight: "页边距右",
		PagePadding: "页边距",
		BasicInfo: "基础信息",
		FileName: "文件名称",
		PageSize: "纸张大小",
		BasicStyle: "基础样式",
		OtherStyle: "其他样式",
		ExportJson: "导出Json",
		ImportJson: "导入Json",
		CustomCaculateItem: "自定义计算项",
		AnnotationTranslate: "注释&翻译",
		ContentSetting: "内容配置",
		CommitTip1: "模板信息为空，不能导出",
		MaxSizeTip: "上传文件大小不能超过",
		Type: "类型",
		StyleTip1: "组件样式必填项不能为空",
		MeasureTip1: "请输入计算项名称",
		MeasureTip2: "请输入公式",
		MeasureTip3: "请选择单位",
		MeasureTip4: "请输入测量项",
		MeasureTip5: "请选择测量项类型",
		MeasureTip6: "请选择测量项内容",
		choosePatientInfo: "选择病人信息",
		choosePatientEmptyValidate: "选择项不能为空",
		patientAddControl: "请选择需要添加的内容",
		patientExamineInfo: "检查信息",
		PetInfo: "宠物信息",
		OtherOperate: "其他操作",
		Language: "语言切换",
		mainTitleColor: "主题颜色",
		HospitalLogo: "医院Logo",
		HeaderMainTitle: "医院名称",
		HeaderSubTitle: "报告名称",
		HeaderMainContent: "XX市XXXXX医院",
		HeaderSubContent: "超声检查报告单",
		ReportTime: "报告时间：",
		ReportPhysician: "报告医师：",
		CellSetting: "单元格设置",
		LocalUpload: "本地上传",
		contentEmptyValidate: "内容不能为空",
		MeasureWay: "测量方法",
		SaveToImage: "保存图片",
		Print: "打印预览",
		Previous: "上一页",
		Next: "下一页",
		Lessen: "缩小",
		Amplifier: "放大",
		Pager: "分页",
		First: "首页",
		Last: "尾页",
		Zoom: "缩放",
		DisplayScale: "显示比例",
		InverseColor: "调色反色",
		Inverse: "反色",
		NormalColor: "正色",
		unfold: "展开",
		PatientId: "病人ID：",
		PatientName: "姓名：",
		PatientAge: "年龄：",
		PatientBirthday: "出生年月：",
		PatientGender: "性别：",
		PatientPhoneNumber: "手机号：",
		PatientExamDate: "检查日期：",
		PatientLMP: "末次生理期：",
		PatientGA: "孕周：",
		PatientEDD: "预产期：",
		PatientPerfPhysician: "申请医师：",
		PatientInspectionItems: "检查项目：",
		PatientInspectionSite: "检查部位：",
		PatientExaminationWay: "检查途径：",
		PatientCheckNumber: "检查号：",
		PatientApplicationDepartment: "申请科室：",
		PatientDeviceNumber: "设备型号：",
		PatientOutpatientNumber: "门诊号：",
		PatientUltrasonicNumber: "超声号：",
		PerformingPhysician: "主治医师：",
		ReferringPhysician: "咨询医师：",
		InspectionPhysician: "检查医师：",
		Owner: "主人：",
		Species: "种类：",
		Breed: "品种：",
		Operator: "操作者：",
		ScanPhysician: "扫查医生：",
		SexUnSelect: "未选择",
		OB: "产科",
		Outpatient: "门诊",
		PublicHealthDivision: "卫生公共科",
		BodySurface: "经体表",
		Transabdominal: "经腹部",
		Transvaginal: "经阴道",
		ObstetricRoutine: "产科常规",
		GynecologicalRoutine: "妇科常规",
		AbdominalRoutine: "腹部常规",
		FemaleUrologicalRoutine: "泌尿系常规（女）",
		MaleUrologicalRoutine: "泌尿系常规（男）",
		Fetu: "胎儿",
		Liver: "肝脏",
		Cardiac: "心脏",
		Uterus: "子宫",
		Appendages: "附件",
		PelvicCavity: "盆腔",
		GB: "胆囊",
		BileDuct: "胆管",
		Pancreas: "胰腺",
		Spleen: "脾脏",
		DoubleKidney: "双肾",
		Ureter: "输尿管",
		Bladder: "膀胱",
		Prostate: "前列腺",
		Breast: "乳腺",
		MesentericLymphNode: "肠系膜淋巴结",
		Thyroid: "甲状腺",
		PeripheralSuperficial: "外周浅表",
		multipleSelect: "多选",
		ReportPhysicianESignature: "报告医师电子签名",
		rowCount: "行数",
		columnCount: "列数",
		Options: "选项",
		AddOption: "添加选项",
		InsertOption: "新增选项",
		DeleteOption: "删除选项",
		LoadingData: "加载数据",
		ReadDataFail: "数据加载失败",
		PropertyRequireNotEmpty: "属性必填项不能为空",
		PropertyValueMustNumber: "属性值必须为数字",
		MaxUploadFileValue: "上传文件大小不能超过",
		Option1: "选项1",
		Option2: "选项2",
		Option3: "选项3",
		OptionOther: "其他",
		DynamicOption1: "动态选项1",
		DynamicOption2: "动态选项2",
		DynamicOption3: "动态选项3",
		DynamicOptionOther: "动态其他",
		WidthRequireMessage: "请输入组件宽度",
		ContentRequireMessage: "请选择组件内容",
		displayFormatRequireMessage: "请选择展示格式",
		ColorRequireMessage: "请选择颜色",
		styleRequireMessage: "请选择边框样式",
		weightRequireMessage: "请选择边框粗细",
		numberRequireMessage: "请输入图片个数",
		pageNumberTypeRequireMessage: "请选择绑定页码",
		rownumberTypeRequireMessage: "请选择表格行数",
		columnNumberRequireMessage: "请选择表格列数",
		rowsRequireMessage: "请输入文本行数",
		heightRequireMessage: "请输入组件高度",
		saveSuccess: "保存成功",
		saveFail: "保存失败",
		validateBindContent: "请绑定组件内容",
		singleImageError: "单图和图像集合（或图册）需使用不同Tag",
		noCopyTableCellMsg: "不能复制表格单元格",
		noCutTableCellMsg: "不能剪切表格单元格",
		widthRequireError: "宽度值不能为负数",
		widthRequire0Error: "宽度值不能为0",
		heightRequire0Error: "高度值不能为0",
		heightRequireError: "高度值必须大于0",
		intervalRequireError: "间隔值必须大于0",
		borderWidthRequireError: "分割线宽度值必须大于0",
		rowsRequireError: "多行文本行数必须大于0",
		DataFormatRequireError: "数据格式异常",
		MeasureVerifySuccess: "验证成功",
		MeasureVerifyFail: "验证失败",
		valueRequireError: "输入值必须大于0",
		Num:"个",
		Rows:"行",
		Columns:"列",
		CustomMeasureItemVerifyFail:"自定义计算项公式验算错误",
		FileNameInconformity: "当前模板名称与传入的模板名称不一致",
		UseObjectInconformity: "当前模板适用对象与传入的模板适用对象不一致",
		SpeechInput:"语音输入",
		MeasuringResult:"测量结果"
	},
	measurement: {
		Default: "常规内容",
		Custom: "自定义测量（仅超声机用）",
		Common: "常用测量（仅超声机用）",
		PSAName: "前列腺特异抗原",
		PPSAName: "前列腺特异抗原启动子系数",
		Height: "身高",
		BSA: "体表面积",
		Weight: "体重",
		HR: "心率",
		GA: "孕周"
	},
	errorMsg: {
		adminNotFound: "管理员不存在",
		adminNameEmpty: "管理员名称为空",
		adminCodeEmpty: "管理员code为空",
		adminQueryTypeError: "管理员查询类型为空",
		orgAdminDelFail: "机构管理员删除失败",
		newPasswordEmpty: "新密码为空",
		adminRoleCodesEmpty: "管理员角色为空",
		adminRoleNotExist: "管理员角色不存在",
		selectRoleWithoutOrg: "没有选择机构则无法选择角色",
		passwordEmpty: "密码不能为空",
		codeRequired: "数据必填",
		applyRoleNotExist: "申请角色不存在",
		userFeatureNotFind: "未找到权限",
		superiorError: "不能选择自己作为父级",
		dataNotFind: "数据不存在",
		superAdminCantUpt: "超级管理员不能操作",
		parentOrgNotExist: "上级机构不存在",
		deviceModelsBind: "该设备型号已被绑定",
		orgNotExist: "机构不存在",
		userNotFind: "用户未找到",
		fileNameTypeError: "文件名或文件类型有误",
		fileNameError: "文件名有误",
		editThesaurusItemError: "编辑词条失败",
		editThesaurusItemContentError: "编辑词条内容失败",
		nameCannotDelete: "Name不能删除",
		phoneCannotDelete: "Phone不能删除",
		baseInfoCannotDelete: "BaseInfo不能删除",
		nameEmptyError: "名称不能为空",
		requestError: "请求错误",
		response404: "Status:404，正在请求不存在的服务器记录！",
		response500: "服务请求异常" || "Status:500，服务器发生错误！",
		UnResponse: "请求服务器无响应！",
		LoginTimeOut: "登录超时，请尝试重新登录后再操作",
		orgCanNotChoseChild: "机构不能选择子级机构作为父级机构"
	},
	share: {
		captchTitle: "请输入报告提取码",
		showReport: "查看报告",
		warnMessage: "提取码输入有误，请检查！",
	},
	distributedServer: {
		IsMaster: "是否主服务器",
		Name: "服务器名称",
		Description: "描述",
		Enable: "启用",
		ServerType: "服务器类型",
		ServerUrl: "云服务地址",
		Official: "分布式服务器",
		Private: "私域服务器",
		IPManage:"IP管理"
	},
	AdminPasswordError: "密码错误",
	FileNameIsEmpty: "文件名称不能为空",
	OrgCanNotChoseChild: "管理端机构不能选择自己的子级机构作为父级机构",
	AdminPasswordIsEmpty: "管理员密码为空",
	AdminNameNotFound: "管理员未找到",
	NameEmpty: "名称必传",
	AdminCodeEmpty: "管理员Code必传",
	AdminNameExisted: "管理员名称已存在",
	AdminQueryTypeError: "管理员查询类型有误",
	AdminCodeNotFind: "管理员Code未找到",
	OrgAdminDelFail: "机构管理员删除失败",
	UsercodeIsEmpty: "用户code必传",
	NewPasswordIsEmpty: "密码必传",
	RoleCodesIsEmpty: "角色必传",
	RoleCodesNotExist: "角色不存在",
	CanNotModifyRoleWithoutOrg: "没有选择机构则无法选择角色",
	IdentityApplyCodeRequired: "认证记录Code必传",
	UniqueCodeEmpty: "唯一码必传",
	UniqueCodeRepeated: "唯一码重复",
	UserFeatureNotFind: "权限未找到",
	ChooseSelfAsSuperior: "不能选择自身作为上级",
	UserFeatureIsRequired: "权限必传",
	RoleNotFind: "角色未找到",
	SuperAdministratorProcess: "超级管理员角色不可操作",
	DeviceNotFind: "设备未找到",
	DeviceCodeRequired: "设备Code必传",
	DeviceTypeRequired: "设备类型必传",
	DeviceTypeRepeated: "设备类型不能重复",
	UsedForDevice: "设备类型已绑定设备",
	ParentOrgNotExist: "上级机构不存在",
	OrgNotExist: "机构不存在",
	VirtualOrgProcess: "虚拟机构不能操作",
	UserNotFind: "用户未找到",
	ThesaurusEmpty: "词库Code或词条名称为空",
	EditThesaurusItemError: "编辑词条失败",
	ThesaurusCodeEmpty: "词库Code或词条Code为空",
	DescriptionOrConclusionEmpty: "结论或描述为空",
	EditThesaurusItemContentError: "编辑词条内容失败",
	ThesaurusCodeOrParentItemCodeEmpty: "词条Code或父级Code为空",
	JsonError: "Json格式不正确",
	NotRealVersion: "版本号格式不正确",
	NameCannotDelete: "名称不可删除",
	PhoneCannotDelete: "手机号不可删除",
	BaseInfoCannotDelete: "基础信息不可删除",
	CodeIsNull: "Code为空",
	LastVersion: "已经是最新版本",
	SystemError: "系统错误",
	IdentityUser: "认证用户",
	Identity: "认证",
	Nonactivated: "未认证",
	Activated: "已认证",
	Person: "人用机构",
	Animals: "兽用机构",
	OrganizationStatistic: "机构分布",
	ServiceObject: "服务对象",
	MyBacklog: "我的待办",
	WaitAuditUser: "待审核用户",
	PersonUnit:"人",
	RoleAuth: "认证角色",
	Number:"数量",
	DeviceTypeStatistic: "机型分布",
	DeviceModelStatistic: "设备型号分布",
	ThesaurusNameDuplication: "词条库名重复",
	ReportTemplateNameDuplication: "模版名称重复",
	StartIpIsInInterval: "StartIP已在其他配置中",
	EndIpIsInInterval: "EndIP已在其他配置中",
	IncorrectIPFormat: "ip格式不正确",
	Lng:"经度",
	Lat:"纬度",
	IPManage:"IP管理",
	StartIp:"起始IP",
	EndIp:"截止IP"
}
